<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: cuadromando_editar.php
// Tipo: controlador
// Desarrolladores: Juanan Ruiz (juanan@us.es), Jesus Martin (jjmc@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Editar un cuadro de mandos existente
//---------------------------------------------------------------------------------------------------

global $smarty;
global $plantilla;
global $operario;

// Esto es para prevenir que se cargue el script sin pasar por index.php
if (!is_object($smarty))
{
	header('Location:index.php');	
}

if (isset($_REQUEST['id']))
{
	$id = sanitize($_REQUEST['id'],16);
	$smarty->assign('_javascript' , array('ordenatabla'));
	
	//Carga el objeto cuadromando solicitado
	$cuadromando = new cuadromando();
	$cuadromando->load("id = $id");
	$smarty->assign('cuadromando',$cuadromando);

	// Entidades de este usuario 
	$entidades = $operario->obtener_entidades($operario->id_usuario);
	// Prepara filtro en caso de busqueda
	if (isset($_REQUEST['criterio']))
	{		
		$criterio = sanitize($_REQUEST['criterio'],2);
		$smarty->assign('criterio', $criterio);
	}
	else
	{
		$criterio = false;
	}

	// Obtiene los indicadores que ya están en el cuadro de mandos
	$indicadores_dentro = $cuadromando->indicadores_dentro();
	$smarty->assign('indicadores_dentro',$indicadores_dentro);

	// Obtiene los indicadores que no estan en el cuadro de mandos
	// Le pasamos las entidades del usuario y el criterio de busqueda si lo hay
	$indicadores_fuera = $cuadromando->indicadores_fuera($entidades, $criterio);
	$smarty->assign('indicadores_fuera',$indicadores_fuera);
		
	$plantilla = 'cuadromando_editar.tpl';
}
else
{
	header("Location: index.php");
}
?>
